#include <bits/stdc++.h>

using namespace std;


int main()
{
    int N;
    cin >> N;
    unsigned long long rez = 1;
    char niz[N];
    char test = 'A';
    int br_slova[26];
    for (int i = 0; i<26; i++)
    {
        br_slova[i] = 0;
    }
    for(int i = 0; i<N ; i++)
    {
        cin >> niz[i];
    }
    for(int i = 0; i<26 ; i++)
    {
        for(int j = 0; j<N ; j++)
        {
                if(test == niz[j])
            {
                br_slova[i]++;
            }
        }
        test++;
    }
        for(int j = 0; j<N-1 ; j++)
        {
            if(niz[j] > niz[j+1])
            {
                br_slova[niz[j+1]-65]--;
            }
        }
    for(int i = 0; i<26; i++)
    {
        if(br_slova[i] > 0)
        {
            rez *= br_slova[i];
        }
    }
    int moduo = pow(10,9)+7;
    cout << rez % moduo << endl;
}